POST
/projects
http://mobile.{region}.amazonaws.com/projectsCreates an AWS Mobile Hub project.
Access Token Required: API Key
Query Params
namestring
Name of the project.
regionstring
Default region where project resources should be created.
snapshotIdstring
Unique identifier for an exported snapshot of project configuration. This snapshot identifier is included in the share URL when a project is exported.
Body Params
contentsstring
Binary file data.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://mobile.{region}.amazonaws.com/projects' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}